Package org.codehaus.groovy.control

## Interface CompilationUnit.ClassgenCallback

- All Known Implementing Classes:
    `GroovyClassLoader.ClassCollector`
  Enclosing class:
    CompilationUnit
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface CompilationUnit.ClassgenCallback

  A callback interface you can use to "accompany" the classgen() code as it traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(org.objectweb.asm.ClassVisitor writer, ClassNode node)` |

- - ### Method Detail

    - #### call

          void call​(org.objectweb.asm.ClassVisitor writer,
                    ClassNode node)
             throws CompilationFailedException

      Throws:
        `CompilationFailedException`